img{height:100px;}

#overlay{
  position: fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background: rgba(0,0,0,0.8) none 50% / contain no-repeat;
  cursor: pointer;
  transition: 0.3s;

  visibility: hidden;
  opacity: 0;
}
#overlay.open {
  visibility: visible;
  opacity: 1;
  z-index: 10;
}

#overlay button { /* X button icon */
  position: absolute;
  border: none;
  top: 10px;
  right:20px;
  font-size: 1em;
}

.overlay {
  position: absolute;
  bottom: 0;
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.5);
  transition: 0.5s ease;
  opacity: 0;
  text-align: center;
  width: 40px;
  height: 40px;
  align-items: center;
  justify-content: center;
  display: flex;
}
.it-thumb-container:hover .overlay {
  opacity: 1;
}
